Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.source
Interface IAnnotationAccess

All Known Implementing Classes:
  DefaultMarkerAnnotationAccess

public interface IAnnotationAccess

An annotation access provides access to information that is not available via the API of `Annotation`. With version 3.0 all this information is now available from the annotation itself.

In order to provide backward compatibility for clients of `IAnnotationAccess`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IAnnotationAccessExtension`since version 3.0 replacing all methods in that interface

Clients usually implement this interface and its extension interfaces.

Since:
  2.1
See Also:
  `IAnnotationAccessExtension`, `Annotation`

Method Summary
`Object` | `getType(Annotation annotation)` Deprecated. use `Annotation.getType()`
`boolean` | `isMultiLine(Annotation annotation)` Deprecated. assumed to always return `true`
`boolean` | `isTemporary(Annotation annotation)` Deprecated. use `Annotation.isPersistent()`

Method Detail

### getType

    public Object getType(Annotation annotation)

  Deprecated. use `Annotation.getType()`

  Returns the type of the given annotation.

  Parameters:
    `annotation` - the annotation
  Returns:
    the type of the given annotation or `null` if it has none.

### isMultiLine

    public boolean isMultiLine(Annotation annotation)

  Deprecated. assumed to always return `true`

  Returns whether the given annotation spans multiple lines.

  Parameters:
    `annotation` - the annotation
  Returns:
    `true` if the annotation spans multiple lines, `false` otherwise

### isTemporary

    public boolean isTemporary(Annotation annotation)

  Deprecated. use `Annotation.isPersistent()`

  Returns whether the given annotation is temporary rather than persistent.

  Parameters:
    `annotation` - the annotation
  Returns:
    `true` if the annotation is temporary, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.